import { ApiConfig } from 'base-api-service';
import { Hero } from '../models/hero';
import { Villain } from '../models/villain';
export declare class MocksUtil {
    /**
     * Create a mocked instance of the ApiConfig object to be used in tests
     * @param apiUrls the list of ApiUrls with which must be created.
     */
    static createMockedApiConfig(): ApiConfig;
    /**
     * Create a mocked instance of the oath token returned by the authentication service
     */
    static createMockedOauthToken(): {
        'access_token': string;
        'token_type': string;
        'refresh_token': string;
        'expires_in': number;
        'scope': string;
    };
    /**
     * Create a mocked list of heroes
     */
    static createMockedHeroes(): Hero[];
    /**
     * Create a mocked list of villains
     */
    static createMockedVillains(): Villain[];
}
